.login-header {
    display: flex;
    flex-grow: 1;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
    font-weight: bold;
    width: 100vw;
    max-height: 20vh;
    background-color: rgb(var(--color-accent));
    color: rgb(var(--color-accent-content));
}

.login-header__img {
    display: block;
    margin: auto;
    height: 55%;
}

.login-header__title {
    text-align: center;
    font-size: 24px;
}

.login-main {
    display: flex;
    flex-grow: 1;
    justify-content: center;
    align-items: center;
    width: 80vw;
}

.login-form {
    width: 80vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    border-radius: var(--border-radius);
    background-color: rgba(var(--color-primary), 0.9);
    box-shadow: 0 4px 20px rgba(var(--color-secondary), 0.3);
}

/* Espacio entre los elementos del formulario */
.login-form > * {
    margin: 10px 0;
}

.login-form__label {
    font-weight: bold;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 85%;
}

.login-form__input {
    margin-top: 5px;
    padding: 10px;
    border: 1px solid rgb(var(--color-primary-content));
    border-radius: var(--border-radius);
    width: 100%;
    text-align: center;
}

.login-form__button {
    background-color: rgba(var(--color-secondary), 0.95);
    color: rgb(var(--color-secondary-content));
    border: none;
    border-radius: var(--border-radius);
}

.login-form__button:hover {
    background-color: rgba(var(--color-secondary), 1);
}

.login-form__actions {
    width: 85%;
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
}

.login-footer {
    text-align: center;
    display: flex;
    flex-shrink: 1;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 10px;
    font-size: 14px;
    background-color: rgb(var(--color-accent));
    color: rgb(var(--color-accent-content));
    width: 100vw;
}

.login-footer__header {
    font-weight: bold;
    margin-bottom: 10px;
}

.login-footer__title {
    margin-bottom: 5px;
}

.login-footer__lines {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.login-footer__line {
    height: 3px;
    width: 50%;
    border: none;
}

.login-footer__line--red {
    background-color: rgb(var(--clrs-red));
}

.login-footer__line--yellow {
    background-color: rgb(var(--clrs-yellow));
}

.login-footer__content {
    font-size: 11px;
}

/* Pantallas medianas */
@media (min-width: 768px) {
    .login-form {
        width: 60vw;
    }

    .login-form__label  {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        max-width: 100%;
    }

    .login-form__input {
        max-width: 60%;
    }
}

/* Escritorio normal */
@media (min-width: 1024px) {
    .login-form {
        width: 40vw;
    }
}

/* Monitores grandes */
@media (min-width: 1440px) {
    .login-form {
        width: 30vw;
    }
}
